* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: sans-serif;
}

body {
    height: 100vh;
    display: grid;
    place-content: center;
    /* background-color: #2B2A30; */
    background-image: radial-gradient(circle, #a3a3a3, #808081, #5f5f61, #403f43, #232227);
}

.clock {
    width: 450px;
    height: 450px;
    border-radius: 100%;
    color: #fff;
    border: 4px solid red;
    background-image: radial-gradient(circle,  #808081, #5f5f61, #403f43, #232227);
    -webkit-box-shadow: 10px 11px 20px 2px rgba(0,0,0,0.75);
    -moz-box-shadow: 10px 11px 20px 2px rgba(0,0,0,0.75);
    box-shadow: 10px 11px 20px 2px rgba(0,0,0,0.75);
    display: grid;
    place-content: center;
}

.clock__time {
    letter-spacing: 2px;
    font-size: 100px;
    font-weight: bold;
    margin-bottom: .1em;
}

.clock__controls {
    text-align: center;
    margin: 2em;
}

.clock_btns {
    letter-spacing: 10px;
    font-size: 30px;
    cursor: pointer;
}

button {
    background-color: inherit;
    border: none;
    outline: none;
    cursor: pointer;
}

img {
    width: 25px;
    height: 25px;
}



.dialog {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 300px;
    height: 200px;
    background-color: #232227;
    -webkit-box-shadow: 10px 11px 20px 2px rgba(0,0,0,0.75);
    -moz-box-shadow: 10px 11px 20px 2px rgba(0,0,0,0.75);
    box-shadow: 10px 11px 20px 2px rgba(0,0,0,0.75);
    border-radius: 10px;
    color: white;
    display: none;
    place-content: center;
}

.dialog input {
    width: 100px;
}

.dialog > div {
    width: 98%;
    margin: 4px auto;
    justify-content: space-evenly;
    display: flex;
}

.dialog button {
    border: 1px solid red;
    border-radius: 100%;
    padding: 10px;
    margin-top: 3em;
    color: white;
}


@media screen and (max-width: 500px) {
    .clock {
        width: 300px;
        height: 300px;
    }

    .clock__time {
        font-size: 60px;
    }
    .clock_btns {
        font-size: 20px;
    }
}